{% extends 'dashboard/dashboard_content.html' %}

{% block rightPane %}
    {% if perms.curriculum.can_view_holidays %}
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="ionicons ion-android-happy"></i>
                    Holidays
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                {% if perms.curriculum.can_assign_holidays %}
                    <div class="col-md-offset-10">
                        <button type="button" class="btn btn-primary" id='add_holidays'>
                            <span class="fa fa-plus-circle"></span> Add Holidays
                        </button>
                    </div>
                {% endif %}
                <div class="row">
                    <div class="table-responsive">
                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th>S.No</th>
                                <th>Holiday Date</th>
                                <th>Description</th>
                            </tr>
                            </thead>
                            <tbody>

                            {% for holiday in holidays %}
                                <tr>
                                    <td>{{ forloop.counter }}</td>
                                    <td>{{ holiday.date }}</td>
                                    <td>{{ holiday.description }}</td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    {% endif %}
    <script type="text/javascript">
        $('document').ready(function () {
            $('#add_holidays').click(function () {
                window.location = '{% url 'add_holidays' %}';
            });
        });

    </script>
{% endblock %}